
-- =========================================================================
-- DB2 Spatial Extender V8 Bank Demo
-- CLP script: create_indexes.db2
-- =========================================================================

--
-- Create join and filter indexes
--

CREATE INDEX bankdemo.ac_branch_id_idx ON bankdemo.account(branch_id)
;

CREATE INDEX bankdemo.ac_customer_id_idx ON bankdemo.account(customer_id)
;

CREATE INDEX bankdemo.br_branch_id_idx ON bankdemo.branch(branch_id)
;

CREATE INDEX bankdemo.cu_customer_id_idx ON bankdemo.customer(customer_id)
;

--
-- Create se_row_id indexes
--

CREATE INDEX bankdemo.br_se_row_id_idx ON bankdemo.branch(se_row_id)
;

CREATE INDEX bankdemo.cu_se_row_id_idx ON bankdemo.customer(se_row_id)
;

--
-- Create spatial indexes
--

CREATE INDEX bankdemo.sj_feature_idx ON bankdemo.sanjose(feature)
	EXTEND USING db2gse.spatial_index(0.07,0,0)
;

CREATE INDEX bankdemo.mr_feature_idx ON bankdemo.mainroads(feature)
	EXTEND USING db2gse.spatial_index(0.01,0,0)
;

CREATE INDEX bankdemo.sb_feature_idx ON bankdemo.selblocks(feature)
	EXTEND USING db2gse.spatial_index(0.20,0,0)
;

